<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Providers;

use Prettus\Repository\Providers\LumenRepositoryServiceProvider;

class RepositoryServiceProvider extends LumenRepositoryServiceProvider
{
    /**
     * Bootstrap services.
     */
    public function boot()
    {
        $this->app->bind(
            \App\Repositories\Contracts\UsersRepository::class,
            \App\Repositories\Eloquent\UsersRepositoryEloquent::class
        );
        $this->app->bind(
            \App\Repositories\Contracts\MenusRepository::class,
            \App\Repositories\Eloquent\MenusRepositoryEloquent::class
        );
        $this->app->bind(
            \App\Repositories\Contracts\RolesRepository::class,
            \App\Repositories\Eloquent\RolesRepositoryEloquent::class
        );
    }
}
