<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$api->version('v1', function($api) {

    $api->group(['namespace'=>'App\Http\V1\Auth','middleware' => ['api.auth','superadmin'], 'providers' => 'jwt'], function($api) {

        //用户相关
        $api->post('/adminapi/user/add', ['uses'=>'AuthorizationController@addUser']);
        $api->post('/adminapi/user/edit', ['uses'=>'AuthorizationController@editUser']);
        $api->get('/adminapi/user/info', ['uses'=>'AuthorizationController@info']);
        $api->post('/adminapi/auth/resetPassword', ['uses'=>'AuthorizationController@resetPassword']);
        $api->get('/adminapi/user/listByPage', ['uses'=>'AuthorizationController@listByPage']);
        $api->post('/adminapi/user/disable/{id}', ['uses'=>'AuthorizationController@changeUserStatus']);
        $api->post('/adminapi/user/enable/{id}', ['uses'=>'AuthorizationController@changeUserStatus']);
        $api->post('/adminapi/user/delByIds', ['uses'=>'AuthorizationController@delUserByIds']);

        //菜单相关
        $api->get('/adminapi/permission/menu/list', ['uses'=>'AuthorizationController@getMenuList']);
        $api->post('/adminapi/permission/menu/edit', ['uses'=>'AuthorizationController@editMenus']);
        $api->post('/adminapi/permission/menu/sub_add', ['uses'=>'AuthorizationController@addSubMenus']);
        $api->post('/adminapi/permission/menu/del', ['uses'=>'AuthorizationController@deleteMenus']);
        $api->get('/adminapi/permission/menu/all', ['uses'=>'AuthorizationController@getAllMenuList']);

        //用户组相关
        $api->get('/adminapi/permission/role/getAllByPage', ['uses'=>'AuthorizationController@getAllByPage']);
        $api->get('/adminapi/permission/role/getAllList', ['uses'=>'AuthorizationController@getAllList']);
        $api->post('/adminapi/permission/role/add', ['uses'=>'AuthorizationController@addRole']);
        $api->post('/adminapi/permission/role/edit', ['uses'=>'AuthorizationController@editRole']);
        $api->post('/adminapi/permission/role/delByIds', ['uses'=>'AuthorizationController@delByIds']);
        $api->post('/adminapi/permission/role/editRolePermission', ['uses'=>'AuthorizationController@editRolePermission']);

        $api->get('/adminapi/permission/dictData/defaultButtonPermission', ['uses'=>'AuthorizationController@getDefaultButtonPermission']);
    });

    //用户登陆
    $api->group(['namespace'=>'App\Http\V1\Auth'], function($api) {
        $api->post('/adminapi/auth/login', ['uses'=>'AuthorizationController@login']);
    });

    //用户登出
    $api->group(['namespace'=>'App\Http\V1\Auth','middleware' => ['superadmin']], function($api) {
        $api->get('/adminapi/auth/logout', ['uses'=>'AuthorizationController@logout']);
    });

});

